import request from '@/utils/request'

// 创建环境数据
export function createEnvData(data) {
  return request({
    url: '/product/env-data/create',
    method: 'post',
    data: data
  })
}

// 更新环境数据
export function updateEnvData(data) {
  return request({
    url: '/product/env-data/update',
    method: 'put',
    data: data
  })
}

// 删除环境数据
export function deleteEnvData(id) {
  return request({
    url: '/product/env-data/delete?id=' + id,
    method: 'delete'
  })
}

// 获得环境数据
export function getEnvData(id) {
  return request({
    url: '/product/env-data/get?id=' + id,
    method: 'get'
  })
}

// 获得环境数据分页
export function getEnvDataPage(query) {
  return request({
    url: '/product/env-data/page',
    method: 'get',
    params: query
  })
}

// 导出环境数据 Excel
export function exportEnvDataExcel(query) {
  return request({
    url: '/product/env-data/export-excel',
    method: 'get',
    params: query,
    responseType: 'blob'
  })
}

// 获得最近X天的平均环境数据
export function getAVGEnvDatasByTypeIds(params) {
  return request({
    url: '/product/env-data/getAVGEnvDatasByTypeIds',
    method: 'get',
    params,
  })
}
